Process Gift Card Refund
Refunds a specified amount back to a gift card, restoring funds from a previous redemption.
Headers
- Type: stringx
-application Source requiredA custom HTTP header that accepts a free-form string value. It is used to identify the application making the API request. For example, if Punchh invokes the API, the value could be "punchh".
- Type: stringX
- Location Id requiredThe unique location identifier for the store or business location processing the transaction.
- Type: stringContent
- Type requiredThe media type of the request body. Must be set to
application/json. - Type: stringAuthorizationrequired
Bearer token for API authorization. Send in the format:
Bearer ACCESS_TOKEN_GOES_HERE.
Body·
application/json
Request details to refund amount in gift card.
- Type: stringpar
Pay Transaction Id min length:1requiredA unique identifier for the transaction being refunded.
- Type: object ·transaction
Amount Details required - Type: string Format: date-timetransaction
Date Time Local requiredThe transaction date and time in local format.
- Type: string Format: date-timetransaction
Date Time U T C requiredThe transaction date and time in UTC format.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/giftcard/v1/refund
curl https://SERVER_NAME_GOES_HERE.partech.com/giftcard/v1/refund \
--request POST \
--header 'x-applicationSource: ' \
--header 'X-LocationId: ' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--data '{
"parPayTransactionId": "TRANSACTION_ID_GOES_HERE",
"transactionAmountDetails": {
"taxAmount": 0,
"discount": 0,
"productTotalAmount": 0,
"totalAmount": 10,
"tip": null
},
"transactionDateTimeUTC": "2026-03-06T11:28:29.7400007Z",
"transactionDateTimeLocal": "2026-03-06T11:28:29.74"
}'
{
"parPayTransactionId": "TRANSACTION_ID_GOES_HERE",
"statusMessage": "APPROVAL",
"balanceAmount": "759.14",
"transactionAmount": "10.00",
"transactionDateTimeUTC": "2026-03-06T11:28:29.7399655Z",
"status": "Success"
}